# Generated by Django 2.1.4 on 2020-10-02 09:42

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('proj', '0003_auto_20190613_1203'),
    ]

    operations = [
        migrations.CreateModel(
            name='Station',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('name_fr', models.CharField(blank=True, default='', max_length=100)),
                ('alt', models.IntegerField(default=0, null=True, verbose_name='altitude')),
                ('type', models.CharField(choices=[('synoptic', 'synoptique'), ('climatic', 'climatique'), ('pluvio', 'pluviomètre')], default='pluvio', max_length=12)),
                ('coords', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326)),
                ('lon', models.FloatField(blank=True, null=True)),
                ('lat', models.FloatField(blank=True, null=True)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='StationParam',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FilePathField(verbose_name='HDF5 storage file')),
            ],
        ),
        migrations.RemoveField(
            model_name='netcdfdata',
            name='model',
        ),
        migrations.RemoveField(
            model_name='netcdfdata',
            name='param',
        ),
        migrations.RemoveField(
            model_name='netcdfdata',
            name='scen',
        ),
        migrations.RenameField(
            model_name='parameter',
            old_name='shortparam',
            new_name='shortname',
        ),
        migrations.RemoveField(
            model_name='metric',
            name='caseof',
        ),
        migrations.AddField(
            model_name='metric',
            name='is_log',
            field=models.BooleanField(blank=True, default=False, help_text='Log scale ?'),
        ),
        migrations.AddField(
            model_name='metric',
            name='raster_only',
            field=models.BooleanField(blank=True, default=False, help_text='There is no regional information.'),
        ),
        migrations.AlterField(
            model_name='climatemodel',
            name='color',
            field=models.CharField(default='blue', help_text='Color in graphs.', max_length=20),
        ),
        migrations.AlterField(
            model_name='climatemodel',
            name='name_fr',
            field=models.CharField(blank=True, default='', max_length=100),
        ),
        migrations.AlterField(
            model_name='climatemodel',
            name='style',
            field=models.CharField(choices=[('solid', 'solid'), ('dashed', 'dashed'), ('dotted', 'dotted'), ('dashdot', 'dashdot')], default='solid', max_length=7),
        ),
        migrations.AlterField(
            model_name='colormap',
            name='name_fr',
            field=models.CharField(blank=True, default='', max_length=100),
        ),
        migrations.AlterField(
            model_name='metric',
            name='aggregation',
            field=models.CharField(choices=[('sum', 'sum'), ('mean', 'mean'), ('max', 'max'), ('min', 'min'), ('count', 'count')], default='sum', help_text='For aggregating years. For instance yearly maximum temperature is obtained by taking the "max" of monthly temperature.', max_length=5),
        ),
        migrations.AlterField(
            model_name='metric',
            name='formula',
            field=models.CharField(blank=True, default='', help_text='For calculating from station values.', max_length=100),
        ),
        migrations.AlterField(
            model_name='metric',
            name='monthly',
            field=models.BooleanField(blank=True, default=True, help_text='As opposed to yearly data.'),
        ),
        migrations.AlterField(
            model_name='metric',
            name='name_fr',
            field=models.CharField(blank=True, default='', max_length=100),
        ),
        migrations.AlterField(
            model_name='metric',
            name='shortname',
            field=models.CharField(blank=True, help_text='For export and ordering, and netcdf import.', max_length=20, null=True, unique=True),
        ),
        migrations.AlterField(
            model_name='metriccategory',
            name='name_fr',
            field=models.CharField(blank=True, default='', max_length=100),
        ),
        migrations.AlterField(
            model_name='parameter',
            name='agg',
            field=models.CharField(choices=[('sum', 'sum'), ('mean', 'mean'), ('max', 'max'), ('min', 'min'), ('count', 'count')], default='sum', max_length=10, verbose_name="Formule d'aggrégation"),
        ),
        migrations.AlterField(
            model_name='parameter',
            name='name_fr',
            field=models.CharField(blank=True, default='', max_length=100),
        ),
        migrations.AlterField(
            model_name='place',
            name='name_fr',
            field=models.CharField(blank=True, default='', max_length=100),
        ),
        migrations.AlterField(
            model_name='scenario',
            name='name_fr',
            field=models.CharField(blank=True, default='', max_length=100),
        ),
        migrations.AlterField(
            model_name='zone',
            name='name_fr',
            field=models.CharField(blank=True, default='', max_length=100),
        ),
        migrations.DeleteModel(
            name='NetcdfData',
        ),
        migrations.AddField(
            model_name='stationparam',
            name='param',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Parameter'),
        ),
        migrations.AddField(
            model_name='stationparam',
            name='station',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Station'),
        ),
    ]
